EDIT - task #9148

Replace sanselan library by the newer apache commons-imaging
07/13/2020 02:42 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

commons-imaging is based on sanselan development so not much adaptation is needed.

Related issues:
Blocks EDIT - feature request #9137: IPTC Keywords (and maybe other informati... Closed

Associated revisions

Revision a1257e7e - 07/13/2020 03:18 PM - Andreas Miiller

ref #9148 exchange sanselan by commons-imaging and adapt CDM Imagelnfo

Revision 9d43097c - 07/13/2020 03:43 PM - Andreas Miiller

ref #9148 change the name of CDM class Imagelnfo to Cdmimagelnfo to avoid name calsh with commons-imaging/Imagelinfo

Revision 16¢69e07 - 07/13/2020 03:43 PM - Andreas Miiller

ref #9148 adapt MediaController and MediaServicelmpl to the new naming Cdmlmagelnfo

Revision 664c8b2a - 07/13/2020 05:41 PM - Andreas Miiller

ref #9148 rename Imagelnfo to Cdmimageinfo in TaxEditor

Revision Ob4fe3ea - 07/13/2020 06:06 PM - Andreas Miiller

ref #9148 add commons-imaging-1.0-alphal to TaxEditor dependencies and remove sanselan-0.97-incubator

Revision 74cfb8fa - 07/13/2020 06:36 PM - Andreas Miiller

ref #9148 add commons-imaging-1.0-alphail to TaxEditor dependencies and remove sanselan-0.97-incubator (cont.)

Revision 234333cc - 07/13/2020 08:02 PM - Andreas Miiller

ref #9148 add commons-imaging-1.0-alphal to TaxEditor dependencies and remove sanselan-0.97-incubator (cont. II)

Revision a950faea - 08/18/2020 01:15 PM - Andreas Kohlbecker

ref #9148 upgrading apache commons-imaging to 1.0-alpha2

Revision 2755bf6d - 08/18/2020 01:16 PM - Andreas Kohlbecker

ref #9148 upgrading apache commons-imaging to 1.0-alpha2

Revision 5cf2c1fa - 08/18/2020 02:10 PM - Andreas Kohlbecker

ref #9148 upgrading apache commons-imaging to 1.0-alpha2

Revision 9e780f4e - 08/18/2020 03:07 PM - Andreas Kohlbecker

ref #9148 upgrading apache commons-imaging to 1.0-alpha2

Revision 2e0e76b2 - 08/19/2020 07:35 PM - Andreas Miiller
ref #9148 remove duplicate versions for commons-imaging-1.0-alphaX in MANIFEST.MF
#1 - 07/13/2020 08:42 PM - Andreas Miiller

- Blocks feature request #9137: IPTC Keywords (and maybe other information) is not shown in Universal Viewer yet added

#2 - 07/13/2020 08:43 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 0 to 50

Should be fixed, please review

#3 - 08/18/2020 01:17 PM - Andreas Kohlbecker

apache commons-imaging 1.0-alpha2 has been released recently. | upgraded to that version.

#4 - 08/18/2020 01:51 PM - Andreas Miiller

Andreas Kohlbecker wrote:

apache commons-imaging 1.0-alpha2 has been released recently. | upgraded to that version.

To me it seems that you did not update Manifest MF and build.properties accordingly and maybe others. Please refer to the changesets above to
check if all relevant places in code have been updated to alpha2

#5 - 08/18/2020 01:51 PM - Andreas Miuller

- Status changed from Resolved to Feedback

#6 - 08/18/2020 05:06 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

update successful & no apparent problems in migration from sanselan --> ticket can be closed

#7 - 08/19/2020 07:37 PM - Andreas Miuller

you added now a second version to MANIFEST.MF , | adapted the code so there is only 1 version left now. commit:2e0e76b2be

#8 - 08/19/2020 08:26 PM - Andreas Kohlbecker

Andreas Muller wrote:

you added now a second version to MANIFEST.MF , | adapted the code so there is only 1 version left now. commit:2e0e76b2be

Thank you for fixing this, | had strange problem with the eclipse IDEs after adding it the first time. | had to repeat the step of adding the dependency.

#9 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
